petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCoarsenView

Prints the coarsen data structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenView(MatCoarsen agg,PetscViewer viewer)

Collective on MatCoarsen

### Input Parameters

agg -the coarsen context
viewer -optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open alternative visualization contexts with

PetscViewerASCIIOpen() -output to a specified file

### Keywords

Coarsen, view

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages